### Method

# Gio File copy_attributes

#### Declaration [src]

    gboolean
    g_file_copy_attributes (
      GFile* source,
      GFile* destination,
      GFileCopyFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Copies the file attributes from `source` to `destination`.

Normally only a subset of the file attributes are copied, those that are copies in a normal file copy operation (which for instance does not include e.g. owner). However if `G_FILE_COPY_ALL_METADATA` is specified in `flags`, then all the metadata that is possible to copy is copied. This is useful when implementing move by copy + delete source.

#### Parameters

`destination`

  Type: `GFile`

  A `GFile` to copy attributes to.

  The data is owned by the caller of the method.

`flags`

  Type: `GFileCopyFlags`

  A set of `GFileCopyFlags`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the attributes were copied successfully, `FALSE` otherwise.